.TH "Types" 3 "28 Jul 2005" "discover" \" -*- nroff -*-
.ad l
.nh
.SH NAME
Types \- 
.SS "Data Structures"

.in +1c
.ti -1c
.RI "struct \fBdiscover_error\fP"
.br
.ti -1c
.RI "struct \fBdiscover_bus_map\fP"
.br
.in -1c
.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBBUS_COUNT\fP   5"
.br
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef void *( \fBdiscover_create_message_t\fP )(struct \fBdiscover_error\fP **, char *)"
.br
.ti -1c
.RI "typedef \fBdiscover_error\fP \fBdiscover_error_t\fP"
.br
.ti -1c
.RI "typedef \fBdiscover_bus_map\fP \fBdiscover_bus_map_t\fP"
.br
.ti -1c
.RI "typedef discover_device \fBdiscover_device_t\fP"
.br
.ti -1c
.RI "typedef discover_data \fBdiscover_data_t\fP"
.br
.ti -1c
.RI "typedef discover_xml_busclass \fBdiscover_xml_busclass_t\fP"
.br
.ti -1c
.RI "typedef discover_xml_vendor \fBdiscover_xml_vendor_t\fP"
.br
.ti -1c
.RI "typedef discover_xml_url \fBdiscover_xml_url_t\fP"
.br
.ti -1c
.RI "typedef \fBdiscover_device_t\fP *( \fBdiscover_device_func_t\fP )(\fBdiscover_error_t\fP *)"
.br
.ti -1c
.RI "typedef \fBdiscover_xml_busclass_t\fP *( \fBdiscover_xml_busclass_func_t\fP )(\fBdiscover_error_t\fP *)"
.br
.ti -1c
.RI "typedef \fBdiscover_xml_vendor_t\fP *( \fBdiscover_xml_vendor_func_t\fP )(\fBdiscover_error_t\fP *)"
.br
.ti -1c
.RI "typedef \fBdiscover_xml_url_t\fP *( \fBdiscover_xml_url_func_t\fP )(\fBdiscover_error_t\fP *)"
.br
.ti -1c
.RI "typedef void( \fBdiscover_free_func_t\fP )(void)"
.br
.ti -1c
.RI "typedef \fBdiscover_sysdep_data_t\fP *( \fBdiscover_sysdep_raw_func_t\fP )(void)"
.br
.in -1c
.SS "Enumerations"

.in +1c
.ti -1c
.RI "enum \fBdiscover_error_code_t\fP { \fBDISCOVER_SUCCESS\fP, \fBDISCOVER_EIO\fP, \fBDISCOVER_EXML\fP, \fBDISCOVER_ESYS\fP, \fBDISCOVER_EBUSDISABLED\fP, \fBDISCOVER_EBUSNOTFOUND\fP, \fBDISCOVER_EDATANOTFOUND\fP, \fBDISCOVER_EDEVICENOTFOUND\fP, \fBDISCOVER_EBADVERSION\fP, \fBDISCOVER_ENOIMPL\fP }"
.br
.ti -1c
.RI "enum \fBdiscover_bus_t\fP { \fBATA\fP, \fBPCI\fP, \fBPCMCIA\fP, \fBSCSI\fP, \fBUSB\fP }"
.br
.ti -1c
.RI "enum \fBdiscover_filetype_t\fP { \fBVENDOR_TYPE\fP, \fBBUSCLASS_TYPE\fP, \fBDEVICE_TYPE\fP }"
.br
.in -1c
.SH "Define Documentation"
.PP 
.SS "#define BUS_COUNT   5"
.PP
Number of buses we support 
.PP
Definition at line 157 of file discover.h.
.PP
Referenced by _real_discover_conf_get_bus_map(), discover_conf_get_bus_map(), discover_conf_get_bus_name(), discover_free_devices(), discover_xml_free_busclasses(), discover_xml_free_data_urls(), discover_xml_free_devices(), and discover_xml_free_vendors().
.SH "Typedef Documentation"
.PP 
.SS "typedef struct \fBdiscover_bus_map\fP \fBdiscover_bus_map_t\fP"
.PP
Mapping of bus names to functions 
.PP
Definition at line 116 of file discover.h.
.SS "typedef void*( \fBdiscover_create_message_t\fP)(struct \fBdiscover_error\fP **, char *)"
.PP
Signature of functions that assist with creating message strings 
.PP
Definition at line 99 of file discover.h.
.SS "typedef struct discover_data \fBdiscover_data_t\fP"
.PP
Data element from the device XML files 
.PP
Definition at line 120 of file discover.h.
.SS "typedef \fBdiscover_device_t\fP*( \fBdiscover_device_func_t\fP)(\fBdiscover_error_t\fP *)"
.PP
Signature of functions returning discover_device_t structures 
.PP
Definition at line 129 of file discover.h.
.SS "typedef struct discover_device \fBdiscover_device_t\fP"
.PP
Structure describing a device 
.PP
Definition at line 118 of file discover.h.
.SS "typedef struct \fBdiscover_error\fP  \fBdiscover_error_t\fP"
.PP
All functions that perform some action (as opposed to returning a member of a structure, for example) take an argument of this type. It is used to report that the action succeeded, or why it failed. 
.SS "typedef void( \fBdiscover_free_func_t\fP)(void)"
.PP
Signature of functions that free internal lists 
.PP
Definition at line 137 of file discover.h.
.SS "typedef \fBdiscover_sysdep_data_t\fP*( \fBdiscover_sysdep_raw_func_t\fP)(void)"
.PP
Signature of functions that return sysdep_data_t lists 
.PP
Definition at line 141 of file discover.h.
.SS "typedef \fBdiscover_xml_busclass_t\fP*( \fBdiscover_xml_busclass_func_t\fP)(\fBdiscover_error_t\fP *)"
.PP
Signature of functions returning discover_xml_busclass_t structures 
.PP
Definition at line 131 of file discover.h.
.SS "typedef struct discover_xml_busclass \fBdiscover_xml_busclass_t\fP"
.PP
Structure for mapping Discover device types to bus-specific classes 
.PP
Definition at line 122 of file discover.h.
.SS "typedef \fBdiscover_xml_url_t\fP*( \fBdiscover_xml_url_func_t\fP)(\fBdiscover_error_t\fP *)"
.PP
Signature of functions returning discover_xml_url_t structures 
.PP
Definition at line 135 of file discover.h.
.SS "typedef struct discover_xml_url \fBdiscover_xml_url_t\fP"
.PP
Structure describing a URL where XML data can be found 
.PP
Definition at line 126 of file discover.h.
.SS "typedef \fBdiscover_xml_vendor_t\fP*( \fBdiscover_xml_vendor_func_t\fP)(\fBdiscover_error_t\fP *)"
.PP
Signature of functions returning discover_xml_vendor_t structures 
.PP
Definition at line 133 of file discover.h.
.SS "typedef struct discover_xml_vendor \fBdiscover_xml_vendor_t\fP"
.PP
Structure for mapping vendor names to bus-specific IDs 
.PP
Definition at line 124 of file discover.h.
.SH "Enumeration Type Documentation"
.PP 
.SS "enum \fBdiscover_bus_t\fP"
.PP
Enumerate the buses. 
.PP
Definition at line 146 of file discover.h.
.SS "enum \fBdiscover_error_code_t\fP"
.PP
\fBEnumeration values: \fP
.in +1c
.TP
\fB\fIDISCOVER_SUCCESS \fP\fP
Success 
.TP
\fB\fIDISCOVER_EIO \fP\fP
Input/output error 
.TP
\fB\fIDISCOVER_EXML \fP\fP
XML parse error 
.TP
\fB\fIDISCOVER_ESYS \fP\fP
System error 
.TP
\fB\fIDISCOVER_EBUSDISABLED \fP\fP
Disabled bus 
.TP
\fB\fIDISCOVER_EBUSNOTFOUND \fP\fP
Bus not found 
.TP
\fB\fIDISCOVER_EDATANOTFOUND \fP\fP
Data source not found 
.TP
\fB\fIDISCOVER_EDEVICENOTFOUND \fP\fP
Device not found 
.TP
\fB\fIDISCOVER_EBADVERSION \fP\fP
Invalid version range 
.TP
\fB\fIDISCOVER_ENOIMPL \fP\fP
Action not implemented for this platform 
.PP
Definition at line 73 of file discover.h.
.SS "enum \fBdiscover_filetype_t\fP"
.PP
Enumerate the types of data files: vendor, busclass, and device. 
.PP
Definition at line 162 of file discover.h.
